Fail installing pre-requisites if apt-get fails.

I had this happen to me and the script silently failed and continued
with building libevent and other things. Yet I couldn't run gyp afterwards.

Change-Id: I302b9de29843995cbeece264313c6e20fbd4b741
Reviewed-on: https://weave-review.googlesource.com/1097
Reviewed-by: Vitaly Buka <vitalybuka@google.com>
diff --git a/libweave/examples/ubuntu/prerequisites.sh b/libweave/examples/ubuntu/prerequisites.sh
index 8d669a9..d4f12a1 100755
--- a/libweave/examples/ubuntu/prerequisites.sh
+++ b/libweave/examples/ubuntu/prerequisites.sh
@@ -17,6 +17,7 @@
   libexpat1-dev \
   libtool \
   ninja-build \
+  || exit 1
 
 mkdir -p $ROOT_DIR/third_party/lib $ROOT_DIR/third_party/include 2> /dev/null